#!/bin/sh
#将进程名写入 pid.txt

Root=/opt/app
File=/aria2
echo "aria2c_mipsle_RootStrat" >> /opt/pid.txt
#创建下载地址
myPath=/opt/Download
if [ ! -d "$myPath" ]
then
mkdir "$myPath"
fi

#创建lib 
varlib=/usr/lib/libxml2.so.2
if [ ! -f "$varlib" ]; then  
cp /opt/app/aria2/usrlib/libxml2.so.2.9.2 /usr/lib/
ln -s /usr/lib/libxml2.so.2.9.2 /usr/lib/libxml2.so.2
fi  

varlib2=/usr/lib/libstdc++.so.6.0.19
if [ ! -f "$varlib2" ]; then  
cp /opt/app/aria2/usrlib/libstdc++.so.6.0.19 /usr/lib/
rm -rf /usr/lib/libstdc++.so.6
ln -s /usr/lib/libstdc++.so.6.0.19 /usr/lib/libstdc++.so.6
fi  




#启动命令
chmod 777 $Root$File/aria2.session
$Root$File/aria2c_mipsle_RootStrat --conf-path=$Root$File/aria2c.conf
huoqu=$(pgrep aria2c_mipsle_RootStrat)
	jieguo=$( echo $huoqu | awk  ""'{print NF}')   
	if [ $jieguo = 0 ]; then
	#没有
         echo "插件并未运行"
    else
	#有
	echo "插件已运行"
    fi
done
